# Practice exam 3 - find_all tests (3 points)
import pytest

import exam3_practice

test_cases = [
    (('a', 'abab'),   [0, 2]),
    (('ab', 'abbab'), [0, 3]),
    (('bb', 'bbb'),   [0]),
    (('z', 'the quick brown fox'), []),
    (('q', ''), []),
    (('abcdef', 'abc'), [])
]

@pytest.mark.parametrize("args, result", test_cases)
def test_find_all(args, result):
    assert exam3_practice.find_all(*args) == result


if __name__ == "__main__":
    pytest.main(["find_all_test.py", "-vv",  "-p", "no:faulthandler"])
