# Practice exam 3 - reverse_substring tests (3 points)
import pytest

import exam3_practice

test_cases = [
    (("0123456", 0, 3), "2103456"),
    (("0123456", 4, 6), "0123546"),
    (("0123456", 6, 7), "0123456"),
    (("0123456", 0, 7), "6543210"),
    (("1", 0, 0)      , "1"),
    (("", 0, 0)       , "")
]

@pytest.mark.parametrize("args, result", test_cases)
def test_reverse_substring(args, result):
    assert exam3_practice.reverse_substring(*args) == result


if __name__ == "__main__":
    pytest.main(["reverse_substring_test.py", "-vv",  "-p", "no:faulthandler"])
